#!/bin/bash
#
# activate - Script to activate the installed rjobs
#
# Randal A. Koene 980701 (version rjobs-1.3-pre5)
#
# Copyright (C) 1998  Randal A. Koene
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# randalk@marina.psych.mcgill.ca (Randal A. Koene)

MV=/bin/mv

source activate.conf

echo "activate.sh: Updating cron schedule in rjobs"
sed "s/set rjobsweekday \"[^\"]*\"/set rjobsweekday \"$WEEKDAYS\"/
s/set rjobsweekend \"[^\"]*\"/set rjobsweekend \"$WEEKENDS\"/" $BINDIR/rjobs > $BINDIR/rjobs.newcron
$MV -f $BINDIR/rjobs.newcron $BINDIR/rjobs
echo "activate.sh: Acquiring encryption key"
printf "%s" "Encryption key: "
read CRYPTKEY
$BINDIR/rjobs -keychange $CRYPTKEY
echo "activate.sh: Activating rjobs cron job"
$BINDIR/rjobs -cron on
chown $OWNER:$GROUP $BINDIR/rjobs
chmod 750 $BINDIR/rjobs
